Atualize o WAMP para o MySQL 5.5?

A equipe do meu desenvolvedor usa WAMP para o ambiente php / Mysql, mas acabei de aprender que usa o MySQL 5.1 e o MySQL está em 5.5 agora. Posso obter o mysql atualizado para 5.5, sem qualquer problema, para que ele funcione com o WAMP ou há algum patch para o WAMP para obter o mysql mais recente?

Eu quero garantir que eles trabalhem com a versão mais recente do MySQL, mas não tenho certeza se é tão simples como baixar o mySQL 5.5 e ele é automaticamente adicionado ao servidor WAMP, ou se houver compatibilidade? Eu suponho que o WAMP nunca atualizou o MySQL. Alguma coisa não é compatível?

Achei isso para você:

PASSO1: (x representa um número)

Baixe a última versão do MySQL primeiro … Copie a nova pasta do mysqlx.x para wamp \ bin \ mysql \ Verifique se a pasta do mysql e todos os arquivos de database existem na pasta mysqlx.x \ data. Se a pasta mysql não existir, copie-a de uma versão anterior de trabalho do mysql.

Verifique se a pasta mysqlx.x \ bin e todos os arquivos executáveis ​​existem. Verifique se a pasta mysqlx.x \ share existe. Se eles não existirem, a extração da versão mais recente do mysql não é feita corretamente.

Verifique se o arquivo mysqlx.x \ my.ini existe. Se não existir, copie o arquivo da versão wokring anterior do wamp mysql em wamp \ bin \ mysql \ mysqlx.x Abra o arquivo da versão mysql mais recente, edite todas as ocorrências de “mysqlx.x” nesse arquivo para o “mysqlx.x” como o último número de versão.

Por exemplo, se você vir a linha “basedir = c: /wamp/bin/mysql/mysql4.1” no arquivo my.ini, edite-o para “basedir = c: /wamp/bin/mysql/mysqlx.x” como mysqlx.x é a última versão que você acabou de baixar. Normalmente, existem apenas duas ocorrências que você precisa editar: basedir = c: /wamp/bin/mysql/mysqlx.x e datadir = c: ‘wamp / bin / mysql / mysqlx.x / data

PASSO 2:

Copie o arquivo wampserver.conf na versão anterior da pasta wamp mysqlx.x para wamp \ bin \ mysql \ mysqlx.x. Você precisaria abri-lo com o bloco de notas e editar a linha: $ mysqlConf [‘mysqlExeFile’] = ‘mysqld-nt.exe’; para $ mysqlConf [‘mysqlExeFile’] = ‘mysqld.exe’;

Olhe para o diretório mysqlx.x \ bin e descubra se existe um arquivo mysqld.exe ou mysql-nt.exe. Se não houver nenhum arquivo mysql-nt.exe, altere essa linha como mencionado.

ETAPA 3:

Desligue o servidor wamp2 (clicando com o botão direito no ícone da bandeja wamp e clique em Sair). Em seguida, reinicie o servidor wamp. Reinicie todos os serviços. Você deve ver a versão mais recente do mysql exibida no menu wamp mysql. Basta clicar na versão mais recente para habilitá-lo, então você tem a versão mysql mais recente executando com o servidor wamp.

Depois de fazer todas as menções acima. Há mais alguns passos, como habilitar o novo MySQL.

  1. Comece o WAMP.

  2. Clique com o botão esquerdo na bandeja WAMP.

  3. Clique em MySQL-> Versão-> sua nova versão do MySQL (o meu MySQL é 5.7.9).

  4. Clique em MySQL-> Serviço-> Instalar serviço.

Feito!

Obrigado a todos por sua ajuda. Estou detalhando certos passos que tirei da edição do registro em diante:

Ao editar o registro

  1. Substituiu todas as ocorrências de 5.0.45 (minha versão mais antiga do mysql) pertencentes ao mysql com 5.5.28 (Minha nova versão do mysql)
  2. Substituiu todas as ocorrências de mysqld-nt.exe pertencentes ao mysql com mysqld.exe

Quando eu comecei o wamp, o sistema não reconheceu a input my.ini default-character-set=latin1 O motivo era que a input estava na seção [wampmysqld] . Então eu criei a seção [sql] e deslizei a input lá. Reiniciei o wamp e o MySQL começou com a nova versão.